---
layout: mockup
title: "Web"
theme: Adwaita/Adwaita.css
permalink: epiphany/
wallpaper: adwaita
---

<!-- css -->
<link rel="stylesheet" type="text/css" href="{{ site.baseurl }}/css/Adwaita/apps/epiphany.css">

{%- include widgets/_panel.html -%}
<!-- Window -->
<div class="window medium">
	<!-- Titlebar -->
	<div class="titlebar grouped">
		<!-- left button group -->
		<div class="button-group float-left hide-on-mobile">
			<div class="linked">
				<a class="button image-button left">{%- include symbolic/actions/go-previous-symbolic.svg -%}</a><a class="button image-button right">{%- include symbolic/actions/go-next-symbolic.svg -%}</a>
			</div><a class="button image-button">{%- include symbolic/actions/view-refresh-symbolic.svg -%}</a><a class="button image-button">{%- include symbolic/actions/tab-new-symbolic.svg -%}</a>
		</div>
		<!-- center button group -->
		<div class="button-group float-center wide text-right">
			<input type="text" id="ephyPathbar" value="https://gnome.org" class="entry">
			<a class="button image-button undecorated ephyPathbarButton float-right hide-on-mobile" id="ephyReaderMode">{%- include symbolic/apps/ephy-reader-mode-symbolic.svg -%}</a>
			<a class="button image-button undecorated ephyPathbarButton float-right hide-on-mobile" id="ephyAddFav" onclick="$('#ephyAddToBookmarksDialog').toggle();$('.popover').hide();">{%- include symbolic/status/non-starred-symbolic.svg -%}</a>
			<a class="button image-button undecorated ephyPathbarButton float-right" id="ephyPathbarOverflow">{%- include symbolic/actions/view-more-symbolic.svg -%}</a>
		</div>
		<!-- right button group -->
		<div class="button-group float-right"><a class="button image-button hide-on-mobile" onclick="$('#ephyBookmarksDialog').show();">{%- include symbolic/apps/ephy-bookmarks-symbolic.svg -%}</a><a class="button image-button" id="ephyAppMenu">{%- include symbolic/actions/open-menu-symbolic.svg -%}</a>{%- include components/close-button.html close = "window" -%}
		</div>
	</div>
	<ul class="notebook hide-on-mobile top">
		<li onclick="$('.notebook > li').removeClass('active');$(this).addClass('active');">
			<span>Audio Playing Tab&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
			<a class="button image-button undecorated dim-label float-right" onclick="$('#ephyTabUnmuteButton').show();$(this).hide();" id="ephyTabMuteButton" style="margin-right: -4px;">{%- include symbolic/status/audio-volume-high-symbolic.svg -%}</a>
			<a class="button image-button undecorated dim-label float-right" onclick="$('#ephyTabMuteButton').show();$(this).hide();" id="ephyTabUnmuteButton" style="margin-right: -4px;">{%- include symbolic/status/audio-volume-muted-symbolic.svg -%}</a>
			<a class="button image-button undecorated dim-label float-right" onclick="$(this).parent().hide();">{%- include symbolic/actions/window-close-symbolic.svg -%}</a>
		</li>
		<li class="active" onclick="$('.notebook > li').removeClass('active');$(this).addClass('active');">
			<span>GNOME &#8211; An easy and elegant way to use your computer.</span>
			<a class="button image-button undecorated dim-label float-right" onclick="$(this).parent().hide();">{%- include symbolic/actions/window-close-symbolic.svg -%}</a>
		</li>
		<li onclick="$('.notebook > li').removeClass('active');$(this).addClass('active');">
			<span>GNOME &#8211; An easy and elegant way to use your computer.</span>
			<a class="button image-button undecorated dim-label float-right" onclick="$(this).parent().hide();">{%- include symbolic/actions/window-close-symbolic.svg -%}</a>
		</li>
	</ul>
	<div class="content with-toolbar">
		<!-- <iframe id="ephyPageContent1" class="" src="https://www.gnome.org/"></iframe> -->
		<div class="view">
			<div class="row">
				<p>Test other aspects of this mockup:</p>
				<a class="button text-button" onclick="$('#ephySavePasswordDialog').show();">Show Password Dialog</a>
			</div>
		</div>
	</div>
	<!-- Toolbar -->
	<div class="toolbar bottom show-on-mobile grouped">
		<div class="float-left linked">
			<a class="button image-button left">{%- include symbolic/actions/go-previous-symbolic.svg -%}</a><a class="button image-button right">{%- include symbolic/actions/go-next-symbolic.svg -%}</a>
		</div>
		<a class="button image-button float-left">{%- include symbolic/actions/view-refresh-symbolic.svg -%}</a>
		<a class="button image-button float-right" onclick="$('#ephyTabsDialog').toggle();$(this).toggleClass('pressed');">{%- include symbolic/actions/view-grid-symbolic.svg -%}</a>{%- include components/close-button.html close = "window" -%}
		<a class="button image-button float-right" id="ephyBookmarksToggle" onclick="$('#ephyBookmarksDialog').toggle();$(this).toggleClass('pressed');">{%- include symbolic/apps/ephy-bookmarks-symbolic.svg -%}</a>
		<a class="button image-button float-right">{%- include symbolic/actions/tab-new-symbolic.svg -%}</a>
	</div>
	<!-- Save Password Dialog -->
	<div class="gtkdialog" id="ephySavePasswordDialog">
		<div class="gtkdialog-window message-dialog">
			<div class="gtkdialog-content">
				<div class="row">
					<h3>Save Password</h3>
					<p>Would you like to save the password for "https://site.example.com/"? You can manage</p>
				</div>
				<a class="button text-button float-left" onclick="$('#ephySavePasswordDialog').hide();">Not Now</a>
				<a class="button text-button float-right" onclick="$('#ephySavePasswordDialog').hide();">Save Password</a>
			</div>
		</div>
	</div>
	<!-- Web Apps Dialog -->
	<div class="gtkdialog" id="ephyWebAppsDialog">
		<div class="gtkdialog-window">
			<div class="titlebar grouped">
				<div class="button-group float-left"><a class="button text-button show-on-mobile" onclick="$('#ephyWebAppsDialog').hide();">Cancel</a></div>
				<div class="title-group"><span class="title">Manage Web Apps</span></div>
				<div class="button-group float-right">
					{%- include components/close-button.html close = "gtkdialog" -%}
				</div>
			</div>
			<div class="gtkdialog-content">
				<p>List of installed web applications</p>
				<ul class="listrow">
					<li class="medium">
						<img class="icon s32" style="margin-right: 0;" src="{{ site.baseurl }}/img/third-party/duckduckgo.png">
						<div class="label-group">
							<label>DuckDuckGo</label>
							<label class="small-label dim-label">https://duckduckgo.com/</label>
						</div>
						<a class="button text-button float-right destructive-action">Delete</a>
						<label class="float-right dim-label hide-on-mobile" style="margin-right:6px;">08/13/2019</label>
					</li>
					<li class="medium">
						<img class="icon s32" style="margin-right: 0;" src="{{ site.baseurl }}/img/third-party/google.png">
						<div class="label-group">
							<label>Google</label>
							<label class="small-label dim-label">https://google.com/</label>
						</div>
						<a class="button text-button float-right destructive-action">Delete</a>
						<label class="float-right dim-label hide-on-mobile" style="margin-right:6px;">04/20/2019</label>
					</li>
				</ul>
			</div>
		</div>
	</div>
	<!-- Add To Bookmarks Dialog -->
	<div class="gtkdialog" id="ephyAddToBookmarksDialog">
		<div class="gtkdialog-window action-dialog">
			<div class="titlebar" title="Add To Bookmarks">
				<a class="button text-button float-left" onclick="$('#ephyAddToBookmarksDialog').hide();">Cancel</a>
				<a class="button text-button suggested-action float-right"  onclick="$('#ephyAddToBookmarksDialog').hide();">Save</a>
			</div>
			<div class="gtkdialog-content">
				<div class="row">
					<ul class="listrow">
						<li class="large">
							<img class="icon s48" style="background-color:#8822ff;" src="{{ site.baseurl }}/img/empty.png">
							<div class="label-group">
								<input type="text" value="Bookmarked Site" style="margin:4px 6px;margin-top: -8px;">
								<label class="small-label dim-label">https://exampleurl.com/</label>
							</div>
						</li>
					</ul>
				</div>
				<div class="row">
					<h4>Tags</h4>
					<ul class="listrow">
						<li>
							<label onclick="$(this).hide();" class="ephyBookmarkTag"><b>Favorites</b><div class="icon s16">{%- include symbolic/actions/window-close-symbolic.svg -%}</div></label>
							<label onclick="$(this).hide();" class="ephyBookmarkTag hidden" id="hiddenTag"><b>Blogs</b><div class="icon s16">{%- include symbolic/actions/window-close-symbolic.svg -%}</div></label>
						</li>
						<li class="text-center" onclick="$('#hiddenTag').removeClass('hidden');">
							<label class="center">Add Tag&hellip;</label>
						</li>
					</ul>
				</div>
			</div>
		</div>
	</div>
	<!-- Tabs Dialog -->
	<div class="gtkdialog" id="ephyTabsDialog">
		<div class="gtkdialog-window options-dialog" style="background: #fff;">
			<div class="titlebar" title="Open Tabs">
				<div class="button-group float-right">
					<!-- <a class="button text-button" onclick="$('#ephyTabsDialog').hide();">Done</a> -->
					<a class="button text-button" onclick="$('#ephyListOfTabs > li').hide();">Close all</a>
					{%- include components/close-button.html close = "gtkdialog" -%}
				</div>
			</div>
			<div class="gtkdialog-content view">
				<div class="row">
					<ul class="listrow" id="ephyListOfTabs">
						<li class="medium">
							<img class="icon s32" style="background-color:#ff22ff;" src="{{ site.baseurl }}/img/empty.png">
							<label>Site in Open Tab 1</label>
							<a class="button image-button circular float-right flat" onclick="$(this).parent().hide();">{% include symbolic/actions/window-close-symbolic.svg %}</a>
						</li>
						<li class="medium">
							<img class="icon s32" style="background-color:#8b22ff;" src="{{ site.baseurl }}/img/empty.png">
							<label>Site in Open Tab 2</label>
							<a class="button image-button circular float-right flat" onclick="$(this).parent().hide();">{% include symbolic/actions/window-close-symbolic.svg %}</a>
						</li>
						<li class="medium">
							<img class="icon s32" style="background-color:#7f22ff;" src="{{ site.baseurl }}/img/empty.png">
							<label>Site in Open Tab 3</label>
							<a class="button image-button circular float-right flat" onclick="$(this).parent().hide();">{% include symbolic/actions/window-close-symbolic.svg %}</a>
						</li>
						<li class="medium">
							<img class="icon s32" style="background-color:#bb22ff;" src="{{ site.baseurl }}/img/empty.png">
							<label>Site in Open Tab 4</label>
							<a class="button image-button circular float-right flat" onclick="$(this).parent().hide();">{% include symbolic/actions/window-close-symbolic.svg %}</a>
						</li>
						<li class="medium">
							<img class="icon s32" style="background-color:#0822ff;" src="{{ site.baseurl }}/img/empty.png">
							<label>Site in Open Tab 5</label>
							<a class="button image-button circular float-right flat" onclick="$(this).parent().hide();">{% include symbolic/actions/window-close-symbolic.svg %}</a>
						</li>
						<li class="medium">
							<img class="icon s32" style="background-color:#e022ff;" src="{{ site.baseurl }}/img/empty.png">
							<label>Site in Open Tab 6</label>
							<a class="button image-button circular float-right flat" onclick="$(this).parent().hide();">{% include symbolic/actions/window-close-symbolic.svg %}</a>
						</li>
						<li class="medium">
							<img class="icon s32" style="background-color:#bb22ff;" src="{{ site.baseurl }}/img/empty.png">
							<label>Site in Open Tab 7</label>
							<a class="button image-button circular float-right flat" onclick="$(this).parent().hide();">{% include symbolic/actions/window-close-symbolic.svg %}</a>
						</li>
						<li class="medium">
							<img class="icon s32" style="background-color:#0822ff;" src="{{ site.baseurl }}/img/empty.png">
							<label>Site in Open Tab 8</label>
							<a class="button image-button circular float-right flat" onclick="$(this).parent().hide();">{% include symbolic/actions/window-close-symbolic.svg %}</a>
						</li>
						<li class="medium">
							<img class="icon s32" style="background-color:#e022ff;" src="{{ site.baseurl }}/img/empty.png">
							<label>Site in Open Tab 9</label>
							<a class="button image-button circular float-right flat" onclick="$(this).parent().hide();">{% include symbolic/actions/window-close-symbolic.svg %}</a>
						</li>
						<li class="medium">
							<img class="icon s32" style="background-color:#e022ff;" src="{{ site.baseurl }}/img/empty.png">
							<label>Site in Open Tab 10</label>
							<a class="button image-button circular float-right flat" onclick="$(this).parent().hide();">{% include symbolic/actions/window-close-symbolic.svg %}</a>
						</li>
						<li class="medium">
							<img class="icon s32" style="background-color:#e022ff;" src="{{ site.baseurl }}/img/empty.png">
							<label>Site in Open Tab 11</label>
							<a class="button image-button circular float-right flat" onclick="$(this).parent().hide();">{% include symbolic/actions/window-close-symbolic.svg %}</a>
						</li>
					</ul>
				</div>
			</div>
		</div>
	</div>
	<!-- Text Encoding Dialog -->
	<div class="gtkdialog" id="ephyTextEncodingDialog">
		<div class="gtkdialog-window action-dialog">
			<div class="titlebar" title="Text Encoding Override">
				<a class="button text-button float-left" onclick="$('#ephyTextEncodingDialog').hide();">Cancel</a>
				<a class="button text-button suggested-action float-right"  onclick="$('#ephyTextEncodingDialog').hide();">Apply</a>
			</div>
			<div class="gtkdialog-content">
				<div class="row">
					<label>Use Custom Text Encoding</label>
					{%- include components/switch.html float = "right" checked = "" onclick = "$('.browserEncodingOptions').toggleClass('insensitive');" -%}
				</div>
				<h4>Recent Encodings</h4>
				<ul class="listrow insensitive browserEncodingOptions">
					<li id="browserEncoding1" onclick="$('#browserEncoding1 > .icon').toggleClass('hidden');">
						<label>Unicode (UTF-8)</label>
						<div class="icon s16 float-right">{%- include symbolic/emblems/emblem-ok-symbolic.svg -%}</div>
					</li>
					<li id="browserEncoding2" onclick="$('#browserEncoding2 > .icon').toggleClass('hidden');">
						<label>English (US-ASCII)</label>
						<div class="icon s16 float-right hidden">{%- include symbolic/emblems/emblem-ok-symbolic.svg -%}</div>
					</li>
					<li class="hidden" id="hiddenBrowserEncoding" onclick="$('#hiddenBrowserEncoding > .icon').toggleClass('hidden');">
						<label>Baltic (ISO-8859-4)</label>
						<div class="icon s16 float-right hidden">{%- include symbolic/emblems/emblem-ok-symbolic.svg -%}</div>
					</li>
					<li class="text-center" onclick="$('#hiddenBrowserEncoding').removeClass('hidden');">
						<label class="center">Add text encoding scheme&hellip;</label>
					</li>
				</ul>
			</div>
		</div>
	</div>
	<!-- Bookmarks Dialog -->
	<div class="gtkdialog" id="ephyBookmarksDialog">
		<div class="gtkdialog-window options-dialog" style="background: #fff;">
			<div class="titlebar" title="Bookmarks">
				<div class="float-right">{%- include components/close-button.html close = "gtkdialog" -%}</div>
			</div>
			<div class="gtkdialog-content">
				<ul class="listrow">
					<li class="medium">
						<img class="icon s32" style="margin-right: 0;" src="{{ site.baseurl }}/img/third-party/duckduckgo.png">
						<div class="label-group">
							<label>DuckDuckGo</label>
							<label class="small-label dim-label">https://duckduckgo.com/</label>
						</div>
						<a class="button image-button circular float-right flat">{% include symbolic/categories/applications-system-symbolic.svg %}</a>
					</li>
					<li class="medium">
						<img class="icon s32" style="background-color:#8822ff;" src="{{ site.baseurl }}/img/empty.png">
						<div class="label-group">
							<label>Bookmarked Site 2</label>
							<label class="small-label dim-label">https://exampleurl.com/</label>
						</div>
						<a class="button image-button circular float-right flat">{% include symbolic/categories/applications-system-symbolic.svg %}</a>
					</li>
					<li class="medium">
						<img class="icon s32" style="background-color:#8822ff;" src="{{ site.baseurl }}/img/empty.png">
						<div class="label-group">
							<label>Bookmarked Site 3</label>
							<label class="small-label dim-label">https://exampleurl.com/</label>
						</div>
						<a class="button image-button circular float-right flat">{% include symbolic/categories/applications-system-symbolic.svg %}</a>
					</li>
					<li class="medium">
						<img class="icon s32" style="background-color:#8822ff;" src="{{ site.baseurl }}/img/empty.png">
						<div class="label-group">
							<label>Bookmarked Site 4</label>
							<label class="small-label dim-label">https://exampleurl.com/</label>
						</div>
						<a class="button image-button circular float-right flat">{% include symbolic/categories/applications-system-symbolic.svg %}</a>
					</li>
					<li class="medium">
						<img class="icon s32" style="background-color:#8822ff;" src="{{ site.baseurl }}/img/empty.png">
						<div class="label-group">
							<label>Bookmarked Site 5</label>
							<label class="small-label dim-label">https://exampleurl.com/</label>
						</div>
						<a class="button image-button circular float-right flat">{% include symbolic/categories/applications-system-symbolic.svg %}</a>
					</li>
					<li class="medium">
						<img class="icon s32" style="background-color:#8822ff;" src="{{ site.baseurl }}/img/empty.png">
						<div class="label-group">
							<label>Bookmarked Site 6</label>
							<label class="small-label dim-label">https://exampleurl.com/</label>
						</div>
						<a class="button image-button circular float-right flat">{% include symbolic/categories/applications-system-symbolic.svg %}</a>
					</li>
				</ul>
			</div>
		</div>
	</div>
</div>

<script type="text/javascript">

$('#ephyTabUnmuteButton').hide();

// fill popover use &apos; to quote escape
$(document).ready(function () {
	var popoverContent = ['<ul>',
			'<li>Find in Page</li>',
			'<li>Print</li>',
			'<hr>',
			'<li>New Window</li>',
			'<li>Reopen Closed Tab</li>',
			'<hr>',
			'<li>Import Bookmarks</li>',
			'<li>Export Bookmarks</li>',
			'<li>History</li>',
			'<hr>',
			'<li onclick="$(&apos;#ephyWebAppsDialog&apos;).toggle();$(&apos;.popover&apos;).hide();">Manage Web Apps</li>',
			'<hr>',
			'<li>Preferences</li>',
			'<hr>',
			'<li>Help</li>',
			'<li>About</li>',
		'</ul>'].join('');

	$('#ephyAppMenu').popover({
		trigger: 'click',
		content: popoverContent,
		placement: "bottom",
		html: true
	});
});


// fill popover use &apos; to quote escape
$(document).ready(function () {
	var popoverContent = ['<ul class="text-left">',
			'<li class="show-on-mobile" onclick="$(&apos;#ephyAddToBookmarksDialog&apos;).toggle();$(&apos;.popover&apos;).hide();">Bookmark this Page</li>',
			'<li class="show-on-mobile">View in Reader Mode</li>',
			'<hr class="show-on-mobile">',
			'<li  onclick="$(&apos;#ephyTextEncodingDialog&apos;).toggle();$(&apos;.popover&apos;).hide();">Override Text Encoding...</li>',
			'<li>Install as Web App...</li>',
		'</ul>'].join('');

	$('#ephyPathbarOverflow').popover({
		trigger: 'click',
		content: popoverContent,
		placement: "bottom",
		html: true
	});
});

// fill popover use &apos; to quote escape
$(document).ready(function () {
	var popoverContent = ['<ul class="text-left">',
		'</ul>'].join('');

	$('#ephySavePasswordPopover').popover({
		trigger: 'click',
		content: popoverContent,
		placement: "bottom",
		html: true
	});
});
</script>